'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const puzzleGlossary = require('@puzzlelabs/puzzle-glossary');
const tslib = require('tslib');
const react = require('react');
const src = require('@puzzlelabs/puzzle-glossary/src');

const HighlightZone = (_a) => {
    var { as = 'span' } = _a, props = tslib.__rest(_a, ["as"]);
    const ref = react.useRef();
    react.useEffect(() => src.highlightWidgetManager.subscribe(() => {
        if (!src.highlightWidgetManager.ready) {
            return;
        }
        src.highlightWidgetManager.mark([ref.current]);
    }), []);
    return react.createElement(as, Object.assign(Object.assign({}, props), { ref }));
};

const initConceptHighlighting = async (apiKey) => {
    await puzzleGlossary.highlightWidgetManager.init(apiKey);
};
const setHighlightingTheme = (value) => {
    puzzleGlossary.highlightWidgetManager.theme = value;
};
const setHighlightingConfig = (value) => {
    puzzleGlossary.highlightWidgetManager.config = value;
};
const setHighlightingHandlers = (value) => {
    puzzleGlossary.highlightWidgetManager.handlers = value;
};

exports.HighlightZone = HighlightZone;
exports.initConceptHighlighting = initConceptHighlighting;
exports.setHighlightingConfig = setHighlightingConfig;
exports.setHighlightingHandlers = setHighlightingHandlers;
exports.setHighlightingTheme = setHighlightingTheme;
